<template>
  <v-container class="headline pa-0">
    <!-- 取得単価 -->
    <v-row no-gutters class="mb-1">
      <v-col cols="6">取得単価</v-col>
      <v-col cols="6" class="text-right">
        <strong>{{ orderPrice }}</strong>
      </v-col>
    </v-row>
    <!-- 保有カブ数 -->
    <v-row no-gutters class="mb-1">
      <v-col cols="6">保有カブ数</v-col>
      <v-col cols="6" class="text-right">
        <strong>{{ amount }}</strong>
      </v-col>
    </v-row>
    <!-- 評価損益合計 -->
    <v-row no-gutters>
      <v-col cols="6">評価損益合計</v-col>
      <v-col cols="6" class="text-right">
        <div :class="totalProfitColor">
          <div>
            <strong>{{ totalProfit }}</strong>
          </div>
          <div class="body-1">
            <strong>({{ totalProfitPercentage }})</strong>
          </div>
        </div>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
export default {
  computed: {
    // 取得単価
    orderPrice () {
      const price = this.$store.getters['stock/prices'].sun
      return price == null ? 'N/A' : ('@' + price)
    },
    // 保有カブ数
    amount () {
      const amount = this.$store.getters['stock/amount']
      return amount == null ? 'N/A' : amount.toLocaleString()
    },
    // 評価損益合計
    totalProfit () {
      const totalProfit = this.$store.getters['stock/totalProfit']
      if (totalProfit == null) {
        // nullの場合
        return 'N/A'
      } else if (totalProfit > 0) {
        // 0より大きい場合
        return '+' + totalProfit.toLocaleString()
      } else {
        // 0以下の場合
        return totalProfit.toLocaleString()
      }
    },
    // 評価損益合計変動割合
    totalProfitPercentage () {
      const percentage = this.$store.getters['stock/totalProfitPercentage']
      if (percentage == null) {
        // nullの場合
        return 'N/A'
      } else if (percentage > 0) {
        // 0より大きい場合
        return '+' + percentage.toFixed(1) + '%'
      } else {
        // 0以下の場合
        return percentage.toFixed(1) + '%'
      }
    },
    // 評価損益合計の文字色クラス
    totalProfitColor () {
      const totalProfit = this.$store.getters['stock/totalProfit']

      if (totalProfit == null || totalProfit == 0) {
        // nullもしくは0の場合: 白
        return {}
      } else {
        // nullもしくは0でない場合: 緑か赤
        return {
          'green--text': totalProfit > 0,
          'red--text': totalProfit < 0
        }
      }
    }
  }
}
</script>

<style scoped>
.text-right {
  text-align: right;
}
</style>
